#!/usr/bin/env python
#
# recursion
#
import random

def fibfast(num):
  fibarray=[1.0,1.0] 
  i = 2
  while(i <= num):
    fibarray.append(fibarray[i-2] + fibarray[i-1])
    i+=1
  return fibarray[num]


print ("fibfast of 127 is: " + str(fibfast(127)))

# 1, 1, 2, 3, 5, 8, 13, 21, 34, 55, 89, 

highestval = 0
i = 0
while(i < 10):
	inputnum = int(30 * random.random())
	x = fibfast(inputnum)
	if(highestval < x):
		highestval = x
	print(x)
	i+=1

print("Highest value of any fib is: ", highestval)




